python - Anaconda中的Tensorflow-Gpu和Cuda驱动程序出现问题

我在Tensorflow-GPU中遇到以下问题。 尝试为深度学习任务设置GPU(在Jupyter中)时,出现以下错误:

InternalError                             Traceback (most recent call last)
<ipython-input-3-a08c39e19f9e> in <module>
     20     for gpu in gpus:
     21       tf.config.experimental.set_memory_growth(gpu, True)
---> 22     logical_gpus = tf.config.experimental.list_logical_devices('GPU')
     23     print(len(gpus), "Physical GPUs,", len(logical_gpus), "Logical GPUs")
     24   except RuntimeError as e:

~\Anaconda3\envs\tens-gpu\lib\site-packages\tensorflow_core\python\framework\config.py in list_logical_devices(device_type)
    345     List of LogicalDevice objects
    346   """
--> 347   return context.context().list_logical_devices(device_type=device_type)
    348 
    349 

~\Anaconda3\envs\tens-gpu\lib\site-packages\tensorflow_core\python\eager\context.py in list_logical_devices(self, device_type)
   1150   def list_logical_devices(self, device_type=None):
   1151     """Return logical devices."""
-> 1152     self.ensure_initialized()
   1153 
   1154     devices = []

~\Anaconda3\envs\tens-gpu\lib\site-packages\tensorflow_core\python\eager\context.py in ensure_initialized(self)
    490         if self._default_is_async == ASYNC:
    491           pywrap_tensorflow.TFE_ContextOptionsSetAsync(opts, True)
--> 492         self._context_handle = pywrap_tensorflow.TFE_NewContext(opts)
    493       finally:
    494         pywrap_tensorflow.TFE_DeleteContextOptions(opts)

InternalError: cudaGetDevice() failed. Status: CUDA driver version is insufficient for CUDA runtime version

我的Cuda版本是Cuda 10.0.130,而cudnn是7.6.4,而我有Intel UHD Graphics 620和NVIDIA GeForce MX150 GPU。 驱动程序已更新为“优化”版本,我真的不明白什么是行不通的。 我已经尝试过网上发现的所有内容,请您能帮我吗? 先感谢您

转载请注明来自askonline.tech,本文标题:python - Anaconda中的Tensorflow-Gpu和Cuda驱动程序出现问题


 Top